capture log close
set more 1
clear
use taxws.dta
log using ch9.log, replace
xtset idn year

/*bivariate correlations and autocorrelation*/
correl cpi2 ud wcoord rgdpecap hunemr2 tradeopen mil pop leftcab cncrcab sstran
correl ipcgtot l.ipcgtot l2.ipcgtot l3.ipcgtot
correl sstot l.sstot l2.sstot l3.sstot
correl proptot l.proptot l2.proptot l3.proptot
correl pytot l.pytot l2.pytot l3.pytot
correl tgstot l.tgstot l2.tgstot l3.tgstot
correl ipcggdp l.ipcggdp l2.ipcggdp l3.ipcggdp
correl ssgdp l.ssgdp l2.ssgdp l3.ssgdp
correl propgdp l.propgdp l2.propgdp l3.propgdp
correl pygdp l.pygdp l2.pygdp l3.pygdp
correl tgsgdp l.tgsgdp l2.tgsgdp l3.tgsgdp

/*stationarity*/
xtunitroot fisher ipcgtot, dfuller lags(1)
xtunitroot fisher sstot, dfuller lags(1)
xtunitroot fisher proptot, dfuller lags(1)
xtunitroot fisher pytot, dfuller lags(1)
xtunitroot fisher tgstot, dfuller lags(1)
xtunitroot fisher sstot, dfuller lags(1)
xtunitroot fisher ipcggdp, dfuller lags(1)
xtunitroot fisher ssgdp, dfuller lags(1)
xtunitroot fisher propgdp, dfuller lags(1)
xtunitroot fisher pygdp, dfuller lags(1)
xtunitroot fisher tgsgdp, dfuller lags(1)
xtunitroot fisher cpi2, dfuller lags(1)
xtunitroot fisher ud, dfuller lags(1)
xtunitroot fisher wcoord, dfuller lags(1)
xtunitroot fisher rgdpecap, dfuller lags(1)
xtunitroot fisher hunemr2, dfuller lags(1)
xtunitroot fisher tradeopen, dfuller lags(1)
xtunitroot fisher mil, dfuller lags(1)
xtunitroot fisher pop, dfuller lags(1)
xtunitroot fisher leftcab, dfuller lags(1)
xtunitroot fisher cncrcab, dfuller lags(1)
xtunitroot fisher sstran, dfuller lags(1)
xtunitroot fisher d.pytot, dfuller lags(1)
xtunitroot fisher d.propgdp, dfuller lags(1)
xtunitroot fisher d.pygdp, dfuller lags(1)
xtunitroot fisher d.tgsgdp, dfuller lags(1)
xtunitroot fisher d.ud, dfuller lags(1)
xtunitroot fisher d.rgdpecap, dfuller lags(1)
xtunitroot fisher d.tradeopen, dfuller lags(1)
xtunitroot fisher d.mil, dfuller lags(1)
xtunitroot fisher d.pop, dfuller lags(1)
xtunitroot fisher d.cncrcab, dfuller lags(1)


/*FULL SAMPLE*/

/*tax as % of total tax revenue*/	
xtregar ipcgtot cpi2, fe
vif, uncentered
est sto m1
xtregar ipcgtot cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m2
xtregar sstot cpi2 , fe
vif, uncentered
est sto m3
xtregar sstot cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m4
xtregar proptot cpi2 , fe
vif, uncentered
est sto m5
xtregar proptot cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m6
xtregar pytot cpi2 , fe
vif, uncentered
est sto m7
xtregar pytot cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m8
xtregar tgstot cpi2 , fe
vif, uncentered
est sto m9
xtregar tgstot cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m10
xtregar ipcgtot ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m11
esttab m1 m2 m3 m4 m5 m6 m7 m8 m9 m10 m11 using table9-1full.rtf, se star(+ 0.1 * 0.05 ** 0.01 *** 0.001) ar2 replace
estimates clear


/*tax as % of gdp*/
xtregar ipcggdp cpi2 , fe
vif, uncentered
est sto m1
xtregar ipcggdp cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m2
xtregar ssgdp cpi2 , fe
vif, uncentered
est sto m3
xtregar ssgdp cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m4
xtregar propgdp cpi2 , fe
vif, uncentered
est sto m5
xtregar propgdp cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m6
xtregar pygdp cpi2 , fe
vif, uncentered
est sto m7
xtregar pygdp cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m8
xtregar tgsgdp cpi2 , fe
vif, uncentered
est sto m9
xtregar tgsgdp cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m10
xtregar ipcggdp ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m11
esttab m1 m2 m3 m4 m5 m6 m7 m8 m9 m10 m11 using table9-2full.rtf, se star(+ 0.1 * 0.05 ** 0.01 *** 0.001) ar2 replace
estimates clear


/*WITH NON-STATIONARY VARIABLES FIRST-DIFFERENCED*/

/*tax as % of total tax revenue*/
xtregar ipcgtot cpi2 , fe
vif, uncentered
xtregar ipcgtot cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar sstot cpi2 , fe
vif, uncentered
xtregar sstot cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar proptot cpi2 , fe
vif, uncentered
xtregar proptot cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar d.pytot cpi2 , fe
vif, uncentered
xtregar d.pytot cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar tgstot cpi2 , fe
vif, uncentered
xtregar tgstot cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar ipcgtot d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered

/*tax as % of gdp*/
xtregar ipcggdp cpi2 , fe
vif, uncentered
xtregar ipcggdp cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar ssgdp cpi2 , fe
vif, uncentered
xtregar ssgdp cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar d.propgdp cpi2 , fe
vif, uncentered
xtregar d.propgdp cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar d.pygdp cpi2 , fe
vif, uncentered
xtregar d.pygdp cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar d.tgsgdp cpi2 , fe
vif, uncentered
xtregar d.tgsgdp cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar ipcggdp d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered

/*WITH MISSING VARIABLES DROPPED*/

drop if cpi2==. | ud==. | wcoord==. | rgdpecap==. | hunemr2==. | tradeopen==. | mil==. | pop==. | leftcab==. | cncrcab==. | sstran==.

/*tax as % of total tax revenue*/	
xtregar ipcgtot cpi2, fe
vif, uncentered
est sto m1
xtregar ipcgtot cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m2
xtregar sstot cpi2 , fe
vif, uncentered
est sto m3
xtregar sstot cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m4
xtregar proptot cpi2 , fe
vif, uncentered
est sto m5
xtregar proptot cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m6
xtregar pytot cpi2 , fe
vif, uncentered
est sto m7
xtregar pytot cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m8
xtregar tgstot cpi2 , fe
vif, uncentered
est sto m9
xtregar tgstot cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m10
xtregar ipcgtot ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m11
esttab m1 m2 m3 m4 m5 m6 m7 m8 m9 m10 m11 using table9-1.rtf, se star(+ 0.1 * 0.05 ** 0.01 *** 0.001) ar2 replace
estimates clear

/*tax as % of gdp*/
xtregar ipcggdp cpi2 , fe
vif, uncentered
est sto m1
xtregar ipcggdp cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m2
xtregar ssgdp cpi2 , fe
vif, uncentered
est sto m3
xtregar ssgdp cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m4
xtregar propgdp cpi2 , fe
vif, uncentered
est sto m5
xtregar propgdp cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m6
xtregar pygdp cpi2 , fe
vif, uncentered
est sto m7
xtregar pygdp cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m8
xtregar tgsgdp cpi2 , fe
vif, uncentered
est sto m9
xtregar tgsgdp cpi2 ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m10
xtregar ipcggdp ud wcoord rgdpecap hunemr2 tradeopen leftcab cncrcab sstran, fe
vif, uncentered
est sto m11
esttab m1 m2 m3 m4 m5 m6 m7 m8 m9 m10 m11 using table9-2.rtf, se star(+ 0.1 * 0.05 ** 0.01 *** 0.001) ar2 replace
estimates clear

/*WITH NON-STATIONARY VARIABLES FIRST-DIFFERENCED*/

/*tax as % of total tax revenue*/
xtregar ipcgtot cpi2 , fe
vif, uncentered
xtregar ipcgtot cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar sstot cpi2 , fe
vif, uncentered
xtregar sstot cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar proptot cpi2 , fe
vif, uncentered
xtregar proptot cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar d.pytot cpi2 , fe
vif, uncentered
xtregar d.pytot cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar tgstot cpi2 , fe
vif, uncentered
xtregar tgstot cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar ipcgtot d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered

/*tax as % of gdp*/
xtregar ipcggdp cpi2 , fe
vif, uncentered
xtregar ipcggdp cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar ssgdp cpi2 , fe
vif, uncentered
xtregar ssgdp cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar d.propgdp cpi2 , fe
vif, uncentered
xtregar d.propgdp cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar d.pygdp cpi2 , fe
vif, uncentered
xtregar d.pygdp cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar d.tgsgdp cpi2 , fe
vif, uncentered
xtregar d.tgsgdp cpi2 d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered
xtregar ipcggdp d.ud wcoord d.rgdpecap hunemr2 d.tradeopen d.mil d.pop leftcab d.cncrcab sstran, fe
vif, uncentered

set more 0
log close
