capture log close
set more 1
clear
use NES80INT.dta
log using ch4.log, replace

keep VIN0379 VIN1735 VIN1736 VIN1460 VIN1490 VIN1666 VIN1671 VIN1663 VIN3015 VIN1019 VIN1026 VIN0803 VIN0969 VIN1137 VIN1104 VIN1177 VIN1269 VIN1270 VIN1222 VIN1355 VIN1360 VIN1147 VIN1148 VIN1149 VIN1150 VIN1151 VIN1159 VIN1160 VIN1161 VIN1162 VIN1163 VIN1164 VIN1165

rename VIN0379 vote /*1=Reagan 2=Carter* 5-7 others 8 DK 9 NA 0 Inap*/
replace vote = . if vote == 8 | vote == 9 | vote == 0
rename VIN1735 gender /*1=male 2=female 9 NA*/
replace gender = . if gender == 9
rename VIN1736 race /*1=white 2=black 3=American Indian or Alaskan Native 4=Asian or Pacific Islander 7=Other 9 NA*/
replace race = . if race ==9
rename VIN1460 age /*18-98=actual age 99=99+ 00=Inap*/
replace age = . if age == 00
rename VIN1490 education /* 1=less than 8th grade 2=1+non-academic training 3=9-11th 4=3+non-ac 5=high school diploma 6=5+non-ac 7=some college 8=AA degree 9=BA degree 10=advanced degree 98=DK 99=HA 00=Inap*/
replace education = . if education == 98 | education == 99 | education == 00
rename VIN1666 hhincome /*1=none or less than $2,000 THROUGH 22=$50,000 and over, 8=refuse 9=NA DK 00=Inap*/
replace hhincome = . if hhincome == 8 | hhincome == 9 | hhincome == 00
rename VIN1671 subjclass /* 0=lower class 1=average working 2=working 3=upper working 4= average middle 5=middle class 6=upper middle 7=upper class 8=refuses idea of class 9=NA DK other*/
replace subjclass = . if subjclass == 8 | subjclass == 9
rename VIN1663 union /*1=yes 5=no 8=DK 9=NA 0= Inap*/
replace union = . if union == 8 | union == 9 | union == 0
rename VIN3015 region /*1=Northwest 2=North Central 3=South 4=West*/
rename VIN1019 finyearago /*1=better now 3=same 5=worse now 8=don't know 9=NA*/
replace finyearago = . if finyearago == 8 | finyearago == 9
rename VIN1026 econyearago /*1=much better 2=somewhat better 3=stayed about the same 4=somewhat worse 5=much worse 8=DK 9=NA 0 Inap*/
replace econyearago = . if econyearago == 8 | econyearago == 9 | econyearago == 0
rename VIN0803 partyID /*0=strong D 1=weak D 2=independent D 3=independent I 4=independent R 5=weak R 6=strong R 7=other 8=apolitical 9=NA DK*/
replace partyID = . if partyID == 7 | partyID == 8 | partyID == 9
rename VIN0969 ideology /*1=extremely liberal 2=liberal 3=slightly liberal 4=moderate 5=slightly conservative 6=conservative 7=extremely conservative 8=DK 9=NA 0=haven't thought much*/
replace ideology = . if ideology == 8 | ideology == 9 | ideology == 0
rename VIN1137 services /*1=many fewer services THROUGH 7=no reduction 8=DK 9=NA 0=haven't thought much*/
replace services = . if services == 8 | services == 9 | services == 0
rename VIN1104 defense /*1=greatly decrease THROUGH 7=greatly increase 8=DK 9=NA 0=haven't thuoght much*/
replace defense = . if defense == 8 | defense == 9 | defense == 0
rename VIN1177 govtjob /*1=govt see to a job THROUGH 7=each person get ahead on own 8=DK 9=NA 0=haven't thought much*/
replace govtjob = . if govtjob == 8 | govtjob == 9 | govtjob == 0
rename VIN1269 civrights /*1=too fast 3=about right 5=too slowly 8=DK 9=NA*/
replace civrights = . if civrights == 8 | civrights == 9
rename VIN1270 busing /*1=bus to achieve integration THROUGH 7=keep children in neighborhood schools 8=DK 9=NA 0=haven't thought much*/
replace busing = . if busing == 8 | busing ==9 | busing ==0
rename VIN1222 improveblacks /*1=govt help minority groups THROUGH 7=help themselves 8=don't know 9=NA 0=haven't thought much*/
replace improveblacks = . if improveblacks == 8 | improveblacks == 9 | improveblacks == 0
rename VIN1355 thermblacks /*0=not favorable 100=favorable 998=DK 999=NA*/
replace thermblacks = . if thermblacks == 998 | thermblacks == 999
rename VIN1360 thermcrldrs /*0=not favorable 100=favorable 998=DK 999=NA*/
replace thermcrldrs = . if thermcrldrs == 998 | thermcrldrs == 999
rename VIN1147 toomuchtax /*1=much more 2=somewhat more 3=about right 4=less than should 7=don't pay at all 8=DK 9=NA*/
replace toomuchtax = . if toomuchtax == 8 | toomuchtax == 9
rename VIN1148 ifopintaxcut /*1=yes opin 5=no opin 8=haven't thought much 9=NA*/
replace ifopintaxcut = . if ifopintaxcut == 8 | ifopintaxcut == 9
rename VIN1149 taxcut /*1=should not be cut 2=cut 10% 3=cut 20% 4=cut 30% 5=cut more than 30% 8=DK 9=NA 0=Inap*/
replace taxcut = . if taxcut == 8 | taxcut == 9 | taxcut == 0
rename VIN1150 Cartertax /*1=should not be cut 2=cut 10% 3=cut 20% 4=cut 30% 5=cut more than 30% 8=DK 9=NA 0=Inap*/
replace Cartertax = . if Cartertax == 8 | Cartertax == 9 | Cartertax == 0
rename VIN1151 Reagantax /*1=should not be cut 2=cut 10% 3=cut 20% 4=cut 30% 5=cut more than 30% 8=DK 9=NA 0=Inap*/
replace Reagantax = . if Reagantax == 8 | Reagantax == 9 | Reagantax == 0
rename VIN1159 heard30 /*1=yes heard or read 5=no 8=DK 9=NA 0=Inap*/
replace heard30 = . if heard30 == 8 | heard30 == 9 | heard30 == 0
rename VIN1160 inflworse /*1=would happen 5=would not happen 8=DK 9=NA 0=Inap*/
replace inflworse = . if inflworse == 8 | inflworse == 9 | inflworse == 0
rename VIN1161 empbetter /*1=would happen 5=would not happen 8=DK 9=NA 0=Inap*/
replace empbetter = . if empbetter == 8 | empbetter == 9 | empbetter == 0
rename VIN1162 bustax /*1=would happen 5=would not happen 8=DK 9=NA 0=Inap*/
replace bustax = . if bustax == 8 | bustax == 9 | bustax == 0
rename VIN1163 spendcut /*1=would happen 5=would not happen 8=DK 9=NA 0=Inap*/
replace spendcut = . if spendcut == 8 | spendcut == 9 | spendcut == 0
rename VIN1164 deficit /*1=would happen 5=would not happen 8=DK 9=NA 0=Inap*/
replace deficit = . if deficit == 8 | deficit == 9 | deficit == 0
rename VIN1165 laffer /*1=would happen 5=would not happen 8=DK 9=NA 0=Inap*/
replace laffer = . if laffer == 8 | laffer == 9 | laffer == 0

factor civrights busing improveblacks thermblacks thermcrldrs, pcf
predict ractol
replace toomuchtax =. if toomuchtax == 7
recode vote (1=0) (2=1) (else=.), gen(votebi)
recode laffer 5 = 0

save ch4.dta, replace

describe
summarize
tab1 vote votebi gender race age education hhincome subjclass union finyearago econyearago partyID ideology services defense govtjob civrights busing improveblacks thermblacks thermcrldrs toomuchtax ifopintaxcut taxcut Cartertax Reagantax heard30 inflworse empbetter bustax spendcut deficit laffer
estpost correl gender race age education subjclass hhincome finyearago econyearago partyID ideology services defense govtjob civrights busing improveblacks thermblacks thermcrldrs ractol, matrix 
esttab using correl.rtf, unstack nostar replace


/*FULL SAMPLE*/
/*EFFECT OF OTHER VARIABLES ON TAX ATTITUDES*/

/*PAYING TOO MUCH TAX AS DEPENDENT VARIABLE--WHITE RESPONDENTS ONLY*/
/*ORDERED LOGISTIC REGRESSION*/
ologit toomuchtax i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob if race == 1 
ologit toomuchtax i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob thermblacks if race == 1 
ologit toomuchtax i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob ractol if race == 1 
/*ORDINARY LEAST SQUARES*/
regress toomuchtax i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob if race == 1 
vif, uncentered
regress toomuchtax i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob thermblacks if race == 1 
vif, uncentered
regress toomuchtax i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob ractol if race == 1 
vif, uncentered
/*FAVOR TAX CUT AS DEPENDENT VARIABLE--WHITE RESPONDENTS ONLY*/
/*ORDERED LOGISTIC REGRESSION*/
ologit taxcut i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob if race==1 
ologit taxcut i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob thermblacks  if race==1 
ologit taxcut i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob ractol if race==1 
/*ORDINARY LEAST SQUARES*/
regress taxcut i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob if race==1 
vif, uncentered
regress taxcut i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob thermblacks if race==1 
vif, uncentered
regress taxcut i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob ractol if race==1 
vif, uncentered
/*BELIEF IN LAFFER CURVE AS DEPENDENT VARIABLE--WHITE RESPONDENTS ONLY*/
logistic laffer i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob if race==1 
vif, uncentered
logistic laffer i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob thermblacks  if race==1 
vif, uncentered
logistic laffer i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob ractol if race==1 
vif, uncentered

/*EFFECT OF TAX ATTITUDES ON VOTE*/
logistic votebi i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob 
vif,uncentered
logistic votebi i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob toomuchtax 
logistic votebi i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob taxcut 
logistic votebi i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob laffer 
vif, uncentered
/*EFFECT OF TAX ATTITUDES ON VOTE--WHITE RESPONDENTS ONLY*/
logistic votebi i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob if race==1 
vif,uncentered
logistic votebi i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob toomuchtax if race==1 
vif, uncentered
logistic votebi i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob taxcut if race==1 
logistic votebi i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob laffer if race==1 

/*DROPPING MISSING VARIABLES*/

/*EFFECT OF OTHER VARIABLES ON TAX ATTITUDES*/

/*PAYING TOO MUCH TAX AS DEPENDENT VARIABLE--WHITE RESPONDENTS ONLY*/
/*ORDERED LOGISTIC REGRESSION*/
ologit toomuchtax i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob if race == 1 & thermblacks != . & ractol !=  .
ologit toomuchtax i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob thermblacks if race == 1 & thermblacks != . & ractol !=  .
ologit toomuchtax i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob ractol if race == 1 & thermblacks != . & ractol !=  .
/*ORDINARY LEAST SQUARES*/
regress toomuchtax i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob if race == 1 & thermblacks != . & ractol !=  .
eststo m1
vif, uncentered
regress toomuchtax i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob thermblacks if race == 1 & thermblacks != . & ractol !=  .
eststo m2
vif, uncentered
regress toomuchtax i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob ractol if race == 1 & thermblacks != . & ractol !=  .
eststo m3
vif, uncentered
/*FAVOR TAX CUT AS DEPENDENT VARIABLE--WHITE RESPONDENTS ONLY*/
/*ORDERED LOGISTIC REGRESSION*/
ologit taxcut i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob if race==1 & thermblacks != . & ractol !=  .
ologit taxcut i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob thermblacks  if race==1 & thermblacks != . & ractol !=  .
ologit taxcut i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob ractol if race==1 & thermblacks != . & ractol !=  .
/*ORDINARY LEAST SQUARES*/
regress taxcut i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob if race==1 & thermblacks != . & ractol !=  .
eststo m4
vif, uncentered
regress taxcut i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob thermblacks if race==1 & thermblacks != . & ractol !=  .
eststo m5
vif, uncentered
regress taxcut i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob ractol if race==1 & thermblacks != . & ractol !=  .
eststo m6
vif, uncentered
/*BELIEF IN LAFFER CURVE AS DEPENDENT VARIABLE--WHITE RESPONDENTS ONLY*/
logistic laffer i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob if race==1 & thermblacks != . & ractol !=  .
eststo m7
vif, uncentered
logistic laffer i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob thermblacks  if race==1 & thermblacks != . & ractol !=  .
eststo m8
vif, uncentered
logistic laffer i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob ractol if race==1 & thermblacks != . & ractol !=  .
eststo m9
vif, uncentered
esttab m1 m2 m3 m4 m5 m6 m7 m8 m9 using table4-1.rtf, r2 se star(+ 0.1 * 0.05 ** 0.01 *** 0.001) replace
estimates clear

/*EFFECT OF TAX ATTITUDES ON VOTE*/
logistic votebi i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob if toomuchtax !=. & taxcut !=. & laffer != .
eststo m1
vif,uncentered
logistic votebi i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob toomuchtax if toomuchtax !=. & taxcut !=. & laffer != .
eststo m2
logistic votebi i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob taxcut if toomuchtax !=. & taxcut !=. & laffer != .
eststo m3
logistic votebi i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob laffer if toomuchtax !=. & taxcut !=. & laffer != .
eststo m4
vif, uncentered
/*EFFECT OF TAX ATTITUDES ON VOTE--WHITE RESPONDENTS ONLY*/
logistic votebi i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob if race==1 & toomuchtax !=. & taxcut !=. & laffer != .
eststo m5
vif,uncentered
logistic votebi i.gender age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob toomuchtax if race==1 & toomuchtax !=. & taxcut !=. & laffer != .
eststo m6
vif, uncentered
logistic votebi i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob taxcut if race==1 & toomuchtax !=. & taxcut !=. & laffer != .
eststo m7
logistic votebi i.gender i.race age education hhincome subjclass finyearago econyearago partyID ideology services defense govtjob laffer if race==1 & toomuchtax !=. & taxcut !=. & laffer != .
eststo m8
esttab m1 m2 m3 m4 m5 m6 m7 m8 using table4-2.rtf, r2 se star(+ 0.1 * 0.05 ** 0.01 *** 0.001) replace
estimates clear

/*TAX CUT AND DEMOGRAPHIC VARIABLES*/
/*TABLE 4.3*/ tab taxcut race if ifopin==1 & (race==1|race==2), column chi2
/*comparing blacks to racist whites*/
egen meanractol = mean(ractol)
generate lowractol = 0
replace lowractol = 1 if ractol < meanractol
tab taxcut race if ifopin==1 & ((race==1&lowractol==1)|race==2), column chi2
egen meanthermblacks = mean(thermblacks)
generate lowthermblacks = 0
replace lowthermblacks = 1 if thermblacks < meanthermblacks
tab taxcut race if ifopin==1 & ((race==1&lowthermblacks==1)|race==2), column chi2
/*TABLE 4.4*/ tab taxcut union if ifopin==1, column chi2
egen meanhhincome = mean(hhincome)
tab taxcut union if (ifopin==1) & (hhincome<meanhhincome), column chi2
tab taxcut gender if ifopin==1, column chi2
tab taxcut education if ifopin==1, column chi2
tab taxcut subjclass if ifopin==1, column chi2
tab taxcut region if ifopin==1, column chi2
tab taxcut partyID if ifopin==1, column chi2

set more 0
log close
exit, clear
